Bug 1557331 - FFU: post upgrade attaching cinder volume to instance fails with: ServiceTooOld: One of cinder-volume services is too old to accept attachment_update request. Required RPC API version is 3.9. Are you running mixed versions of cinder-volumes?
Summary: FFU: post upgrade attaching cinder volume to instance fails with: ServiceTooO...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-cinder
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
high
urgent
Target Milestone: beta
: 13.0 (Queens)
Assignee: Gorka Eguileor
QA Contact: Avi Avraham
Kim Nylander
URL:
Whiteboard:
Depends On:
Blocks: 1554122
TreeView+ depends on / blocked
 
Reported: 2018-03-16 12:40 UTC by Gorka Eguileor
Modified: 2018-06-27 13:47 UTC (History)
12 users (show)

Fixed In Version: openstack-cinder-12.0.1-0.20180418194612.c476898.el7ost
Doc Type: Enhancement
Doc Text:
Previously, the cinder service had to be restarted twice when performing an offline upgrade because of the rolling upgrade mechanism. The double system restart can be skipped with the new optional parameter -called "--bump-versions"- added to the cinder-manage db sync command.
Clone Of: 1554122
Environment:
Last Closed: 2018-06-27 13:46:53 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Launchpad 1756321 None None None 2018-03-16 12:40:43 UTC
OpenStack gerrit 553772 None MERGED Avoid second restart on offline upgrades 2020-08-17 23:13:33 UTC
OpenStack gerrit 560335 None MERGED Avoid second restart on offline upgrades 2020-08-17 23:13:33 UTC
Red Hat Product Errata RHEA-2018:2086 None None None 2018-06-27 13:47:44 UTC

Comment 10 Tzach Shefi 2018-05-27 10:57:23 UTC
Tested on: 
openstack-cinder-12.0.1-0.20180418194613.c476898.el7ost.noarch

Before the upgrade:
rpm -qa | grep cinder
python-cinderclient-3.1.0-1.el7ost.noarch
puppet-cinder-11.5.0-3.el7ost.noarch
python-cinder-11.1.0-1.el7ost.noarch
openstack-cinder-11.1.0-1.el7ost.noarch

mysql cinder -e "select services.binary, services.rpc_current_version, services.object_current_version from services where not deleted;"
+------------------+---------------------+------------------------+
| binary           | rpc_current_version | object_current_version |
+------------------+---------------------+------------------------+
| cinder-scheduler | 3.7                 | 1.27                   |
| cinder-volume    | 3.15                | 1.27                   |
+------------------+---------------------+------------------------+

Stopped cinder services.
Replaced repo files yum update. 

OSP13 version, services still stopped
python-cinder-12.0.1-0.20180418194613.c476898.el7ost.noarch
puppet-cinder-12.4.1-0.20180329071637.4011a82.el7ost.noarch
openstack-cinder-12.0.1-0.20180418194613.c476898.el7ost.noarch
python2-cinderclient-3.5.0-1.el7ost.noarch

Run the sql command again still same versions as above^ as exepcted. 

# cinder-manage db sync --bump-versions
Option "logdir" from group "DEFAULT" is deprecated. Use option "log-dir" from group "DEFAULT".

# mysql cinder -e "select services.binary, services.rpc_current_version, services.object_current_version from services where not deleted;"
+------------------+---------------------+------------------------+
| binary           | rpc_current_version | object_current_version |
+------------------+---------------------+------------------------+
| cinder-scheduler | 3.10                | 1.35                   |
| cinder-volume    | 3.15                | 1.35                   |
+------------------+---------------------+------------------------+

Gorka before I verify, just to be sure, you mentioned all the rows should update, it looks OK other than cinder-volume rpc_current_version which remains 3.15, is this OK? 
            
cinder-scheduler | 3.7 -> 3.10 | 1.27 -> 1.35  
cinder-volume 3.15 (same no change) | 1.27 -> 1.35

Comment 11 Tzach Shefi 2018-05-28 11:42:24 UTC
Verified on: 
openstack-cinder-12.0.1-0.20180418194613.c476898.el7ost.noarch

After speaking with Gorka OK to verify based on #10.

Comment 14 errata-xmlrpc 2018-06-27 13:46:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:2086


Note You need to log in before you can comment on or make changes to this bug.